test: _ATM_FLOW_PARAMETERS struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _ATM_FLOW_PARAMETERS Struct Reference

`#include <atm.h>`

List of all members.

## Public Attributes

ATM_SERVICE_CATEGORY | ServiceCategory
ULONG | AverageCellRate
ULONG | PeakCellRate
ULONG | MinimumCellRate
ULONG | InitialCellRate
ULONG | BurstLengthCells
ULONG | MaxSduSize
ULONG | TransientBufferExposure
ULONG | CumulativeRMFixedRTT
UCHAR | RateIncreaseFactor
UCHAR | RateDecreaseFactor
USHORT | ACRDecreaseTimeFactor
UCHAR | MaximumCellsPerForwardRMCell
UCHAR | MaximumForwardRMCellInterval
UCHAR | CutoffDecreaseFactor
UCHAR | Reserved1
ULONG | MissingRMCellCount
ULONG | Reserved2
ULONG | Reserved3

## Member Data Documentation

USHORT _ATM_FLOW_PARAMETERS::ACRDecreaseTimeFactor

| Definition at line 1253 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::AverageCellRate

| Definition at line 1243 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::BurstLengthCells

| Definition at line 1247 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::CumulativeRMFixedRTT

| Definition at line 1250 of file atm40.h.

UCHAR _ATM_FLOW_PARAMETERS::CutoffDecreaseFactor

| Definition at line 1256 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::InitialCellRate

| Definition at line 1246 of file atm40.h.

UCHAR _ATM_FLOW_PARAMETERS::MaximumCellsPerForwardRMCell

| Definition at line 1254 of file atm40.h.

UCHAR _ATM_FLOW_PARAMETERS::MaximumForwardRMCellInterval

| Definition at line 1255 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::MaxSduSize

| Definition at line 1248 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::MinimumCellRate

| Definition at line 1245 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::MissingRMCellCount

| Definition at line 1258 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::PeakCellRate

| Definition at line 1244 of file atm40.h.

UCHAR _ATM_FLOW_PARAMETERS::RateDecreaseFactor

| Definition at line 1252 of file atm40.h.

UCHAR _ATM_FLOW_PARAMETERS::RateIncreaseFactor

| Definition at line 1251 of file atm40.h.

UCHAR _ATM_FLOW_PARAMETERS::Reserved1

| Definition at line 1257 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::Reserved2

| Definition at line 1259 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::Reserved3

| Definition at line 1260 of file atm40.h.

ATM_SERVICE_CATEGORY _ATM_FLOW_PARAMETERS::ServiceCategory

| Definition at line 1242 of file atm40.h.

ULONG _ATM_FLOW_PARAMETERS::TransientBufferExposure

| Definition at line 1249 of file atm40.h.

The documentation for this struct was generated from the following files:

- atm.h
- atm40.h